    const char *getpointer(int index, int weap = -1)
    {
        switch(index)
        {
            case POINTER_RELATIVE: return pointertex;
            case POINTER_GUI: return guicursortex;
            case POINTER_EDIT: return *editcursortex ? editcursortex : crosshairtex;
            case POINTER_SPEC: return *speccursortex ? speccursortex : crosshairtex;
            case POINTER_HAIR:
            {
                if(isweap(weap))
                {
                    const char *crosshairtexs[WEAP_MAX] = {
                        simple1crosshairtex, cross1crosshairtex, simple2crosshairtex, triangle2crosshairtex, cross2crosshairtex,
                        circle1crosshairtex, triangle1crosshairtex, dot1crosshairtex, dot2crosshairtex, circle2crosshairtex, // end of crosshair names
                    };
                    if(crosshairweapons && *crosshairtexs[weap]) return crosshairtexs[weap];
                    else return crosshairtexs[crosshair];
                }
                return crosshairtex;
            }
            case POINTER_TEAM: return teamcrosshairtex;
            case POINTER_ZOOM: return *zoomcrosshairtex ? zoomcrosshairtex : crosshairtex;
            case POINTER_HIT:
            {
                if(isweap(weap))
                {
                    const char *hithairtexs[WEAP_MAX] = {
                        simple1hithairtex, cross1hithairtex, simple2hithairtex, triangle2hithairtex, cross2hithairtex,
                        circle1hithairtex, triangle1hithairtex, dot1hithairtex, dot2hithairtex, circle2hithairtex, // end of crosshair names
                    };
                    if(crosshairweapons && *hithairtexs[weap]) return hithairtexs[weap];
                    else return hithairtexs[crosshair];

                }
                return hithairtex;
            }
            default: break;
        }
        return NULL;
    }
    ICOMMAND(0, getpointer, "ii", (int *i, int *j), result(getpointer(*i, *j)));
